/**
 * Data model pour les sorts
 */
export default class SortDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      niveau: new fields.StringField({ initial: "1" }),
      rang: new fields.StringField({ initial: "1" }),
      competence: new fields.StringField({ initial: "Druidisme" }),
      carac1: new fields.StringField({ initial: "esp" }),
      carac2: new fields.StringField({ initial: "none" }),
      sdspecial: new fields.StringField({ initial: "" }),
      duree: new fields.StringField({ initial: "" }),
      portee: new fields.StringField({ initial: "" }),
      concentration: new fields.StringField({ initial: "" }),
      informatif: new fields.BooleanField({ initial: false }),
      texteinformatif: new fields.StringField({ initial: "" }),
      critique: new fields.StringField({ initial: "" }),
      ingredients: new fields.StringField({ initial: "" }),
      resistance: new fields.StringField({ initial: "" }),
      coutactivation: new fields.StringField({ initial: "" }),
      souffle: new fields.StringField({ initial: "" }),
      description: new fields.HTMLField({ initial: "" })
    };
  }
}
